
QGIS Application - Feature request #6544

"vector -> analysis tools -> basic statistics", allow grouping results

2012-10-19 03:23 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: Copied to github as #: 15749

Description

This is very popular request among common GIS users (also because this feature is available out of the box in most of the other GIS

packages):

in the

"vector -> analysis tools -> basic statistics"

the user should be allowed to choose (as an option) to group the results using another attribute available in the table.

the result should be presented as table or, even better, exported as CSV.

History

#1 - 2012-10-19 03:29 AM - Alexander Bruy

Calculating statistics for groups, right? Something similar already implemented with GroupStats plugin, but I agree having such functionality in core will be

useful.

#2 - 2012-10-19 04:00 AM - Giovanni Manghi

Alexander Bruy wrote:

Calculating statistics for groups, right? Something similar already implemented with GroupStats plugin, but I agree having such functionality in core

will be useful.

well.... yes, as that plugin (that I obviously missed). The plugin is very cool, anyway I still believe that in core should be available the same kind of

functionality, even if not as advanced as the one available in the plugin.

Moreover plugins are a lot, and people struggles to understand if there is one with the functionality they need. Many plugins also add (as in this case)

functions that are so important that should be added to core, reusing of course the available code. Other examples are "table manager" and "value tool",

but there are many examples. Anyway that is just my opinion. :)

cheers!

#3 - 2012-10-19 05:03 AM - Filipe Dias

I agree with Giovanni, it would be very useful. A while ago I added a similar feature request to Sextante:
#5485

One of the things that I miss the most from ArcGIS is the possibility to export the "summary" output as a table (that can be joined with another shpefile).

#4 - 2014-06-12 03:16 PM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

closing this because group stats does the job well, and lately a grouping strategy is being discussed for inclusion in core qgis.

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
